# Contributing to CanJS

Thank you for contributing to CanJS!  If you need any help setting up a CanJS development environment and fixing CanJS bugs, please
[join our Slack](https://www.bitovi.com/community/slack) and reach out to us on the
[#canjs channel](https://bitovi-community.slack.com/messages/CFC22NZ8A) or email (contact@bitovi.com).
We will happily walk you through setting up your environment, creating a test, and submitting a pull request. Here is a video showing how to contribute to CanJS:

[![How to submit a new issue!](https://img.youtube.com/vi/PRuueWqnpIw/0.jpg)](https://www.youtube.com/watch?v=PRuueWqnpIw)

For more details, check out the [contribution guide on CanJS.com](https://canjs.com/doc/guides/contribute.html) for information on:

- [Code of Conduct](https://canjs.com/doc/guides/contribute.html#CodeofConduct)
- [Getting Help](https://canjs.com/doc/guides/contribute.html#GettingHelp)
- [Project Organization](https://canjs.com/doc/guides/contributing/project-organization.html)
- [Reporting Bugs](https://canjs.com/doc/guides/contributing/bug-report.html)
- [Suggesting Features](https://canjs.com/doc/guides/contributing/feature-suggestion.html)
- [Finding Ways to Contribute](https://canjs.com/doc/guides/contributing/finding-ways-to-contribute.html)
- [Developing Locally](https://canjs.com/doc/guides/contributing/developing-locally.html)
- [Changing the Code](https://canjs.com/doc/guides/contributing/code.html)
- [Improving the Docs & Site](https://canjs.com/doc/guides/contributing/documentation.html)
- [Making a New Package](https://canjs.com/doc/guides/contributing/adding-ecosystem-modules.html)
- [API Design Guidelines](https://canjs.com/doc/guides/contributing/api-design-guidelines.html)
- [Releasing CanJS](https://canjs.com/doc/guides/contributing/releases.html)
- [Updating the Site](https://canjs.com/doc/guides/contributing/updating-the-site.html)
- [Evangelism](https://canjs.com/doc/guides/contributing/evangelism.html)

## 3.0 Changes

In 3.0, nearly every module has its own repository.  All code changes should go there.  Issues can be submitted to `canjs/canjs`, but once we know the root of the issue, we will move it to a specific repository.  
